$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-418968d974ace14c3479d55c20076508dd22aed4/rpcs3-v0.0.12-10918-418968d9_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'c8c8d6ee89528c4489b2023887d32b528bdcf6d3d02031cb451ddd33c5e0fbc2'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
